Error with dada2 (return code 1) isBimeraDenovoTable

Hi, this is my first time using qiime, the thing is the sequences that were given to me were paired-end fastq files (demultiplexed) so i followed the casava import tutorial.

then i tried to run dada2 to denoise:

 qiime dada2 denoise-paired --i-demultiplexed-seqs demux-paired-end.qza --o-table table-try.qza --o-representative-sequences rep-seqa-try.qza --o-denoising-stats denoising-stats-try.qza --p-trunc-len-f 30 --p-trunc-len-r 30 --p-chimera-method consensus --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpnfer3g3n/forward /tmp/tmpnfer3g3n/reverse /tmp/tmpnfer3g3n/output.tsv.biom /tmp/tmpnfer3g3n/track.tsv /tmp/tmpnfer3g3n/filt_f /tmp/tmpnfer3g3n/filt_r 30 30 0 0 2.0 2.0 2 12 independent consensus 1.0 1 1000000

R version 4.0.5 (2021-03-31)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.7 / RcppParallel: 5.1.4
1) Filtering .
2) Learning Error Rates
1208250 total bases in 40275 reads from 1 samples will be used for learning the error rates.
1208250 total bases in 40275 reads from 1 samples will be used for learning the error rates.
3) Denoise samples .
.
4) Remove chimeras (method = consensus)
Error in isBimeraDenovoTable(unqs[[i]], ..., verbose = verbose) :
  Input must be a valid sequence table.
Calls: removeBimeraDenovo -> isBimeraDenovoTable
Execution halted
Traceback (most recent call last):
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 266, in denoise_paired
    run_commands([cmd])
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpnfer3g3n/forward', '/tmp/tmpnfer3g3n/reverse', '/tmp/tmpnfer3g3n/output.tsv.biom', '/tmp/tmpnfer3g3n/track.tsv', '/tmp/tmpnfer3g3n/filt_f', '/tmp/tmpnfer3g3n/filt_r', '30', '30', '0', '0', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2cli/commands.py", line 329, in __call__
    results = action(**arguments)
  File "<decorator-gen-516>", line 2, in denoise_paired
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
    outputs = self._callable_executor_(scope, callable_args,
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
    raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

  An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

i originally tried without specifying the chimera parameter but i received the same error. I think it is an issue in the importing process but i can not be sure

i would really appreciate your help

@mikatsume,

I think you are right that it is an issue with the import step. The Casava import is only for files that follow the Casava format conventions. I would try importing again following the "FASTQ Manifest" Formats instructions. It definitely involves a bit more work but unfortunately might be how you have to go about importing your data. You also could check to see if your files do follow the Casava conventions described in that section of the tutorial.

Also, your trunc-len values seem really short, how did you go about picking that value?

I tried it but i still get the exact same result.

qiime tools import --type SampleData[PairedEndSequencesWithQuality] --input-path samples-try --output-path paired-try.qza --input-format PairedEndFastqManifestPhred33V2

Imported samples-try as PairedEndFastqManifestPhred33V2 to paired-try.qza
qiime dada2 denoise-paired --i-demultiplexed-seqs paired-try.qza --o-table table-try.qza --o-representative-sequences rep-seqa-try.qza --o-denoising-stats denoising-stats-try.qza --p-trunc-len-f 120 --p-trunc-len-r 120 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpyrn9oxpk/forward /tmp/tmpyrn9oxpk/reverse /tmp/tmpyrn9oxpk/output.tsv.biom /tmp/tmpyrn9oxpk/track.tsv /tmp/tmpyrn9oxpk/filt_f /tmp/tmpyrn9oxpk/filt_r 120 120 0 0 2.0 2.0 2 12 independent consensus 1.0 1 1000000

R version 4.0.5 (2021-03-31)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.7 / RcppParallel: 5.1.4

  1. Filtering .
  2. Learning Error Rates
    4823520 total bases in 40196 reads from 1 samples will be used for learning the error rates.
    4823520 total bases in 40196 reads from 1 samples will be used for learning the error rates.
  3. Denoise samples .
    .
  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], ..., verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    Execution halted
    Traceback (most recent call last):
    File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 266, in denoise_paired
    run_commands([cmd])
    File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
    File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpyrn9oxpk/forward', '/tmp/tmpyrn9oxpk/reverse', '/tmp/tmpyrn9oxpk/output.tsv.biom', '/tmp/tmpyrn9oxpk/track.tsv', '/tmp/tmpyrn9oxpk/filt_f', '/tmp/tmpyrn9oxpk/filt_r', '120', '120', '0', '0', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in callable_executor
output_views = self._callable(**view_args)
File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

@mikatsume,

I am afraid that I have led you astray :woozy_face: Looking at this more, I think what is happening is that your truncation length to short and that there ends up being no overlap between the forward and reverse reads. Because there is no overlap, all of the sequences are being discarded :worried:

You need to have at-least 12 base pairs of overlap between the forward and reverse reads. If your quality scores are too low to allow for this much overlap, you might be able to use the forward reads only.

But let's see if we can get this working for you with both forward and reverse reads. First off, what were your primers/region? Could you run demux summarize (docs) on your imported data and post the results here?

1 Like

I mean, according to fastqc my reads are between 245-250, i inputed the trunc parameters at 245 and got the same results.


The sequences were given to me, the issue is that this was analyzed a while ago and i need the results for my thesis, but the saved results are incomplete, so i am trying to understand the program so i can do it myself "-.- i just want to get to the FeatureTable.

(Still thank you for your help! ^.^)

@mikatsume,

Could you post the command you used to run DADA2 with the trunc param set to 245? It definitely can be hard to get everything setup correctly when you are just handed data that someone else generated, I think we should be able to get everything worked out though :slightly_smiling_face:

Thanks, here is the command:

qiime dada2 denoise-paired --i-demultiplexed-seqs paired-try.qza --o-table table-try.qza --o-representative-sequences rep-seqa-try.qza --o-denoising-stats denoising-stats-try.qza --p-trunc-len-f 245 --p-trunc-len-r 245 --verbose --p-chimera-method consensus
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpazw1z3nd/forward /tmp/tmpazw1z3nd/reverse /tmp/tmpazw1z3nd/output.tsv.biom /tmp/tmpazw1z3nd/track.tsv /tmp/tmpazw1z3nd/filt_f /tmp/tmpazw1z3nd/filt_r 245 245 0 0 2.0 2.0 2 12 independent consensus 1.0 1 1000000

R version 4.0.5 (2021-03-31)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.7 / RcppParallel: 5.1.4
1) Filtering .
2) Learning Error Rates
9203180 total bases in 37564 reads from 1 samples will be used for learning the error rates.
9203180 total bases in 37564 reads from 1 samples will be used for learning the error rates.
3) Denoise samples .
.
    4) Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], ..., verbose = verbose) :
      Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    Execution halted
    Traceback (most recent call last):
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 266, in denoise_paired
        run_commands([cmd])
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
        subprocess.run(cmd, check=True)
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/subprocess.py", line 516, in run
        raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpazw1z3nd/forward', '/tmp/tmpazw1z3nd/reverse', '/tmp/tmpazw1z3nd/output.tsv.biom', '/tmp/tmpazw1z3nd/track.tsv', '/tmp/tmpazw1z3nd/filt_f', '/tmp/tmpazw1z3nd/filt_r', '245', '245', '0', '0', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1.

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2cli/commands.py", line 329, in __call__
        results = action(**arguments)
      File "<decorator-gen-516>", line 2, in denoise_paired
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
        outputs = self._callable_executor_(scope, callable_args,
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in _callable_executor_
        output_views = self._callable(**view_args)
      File "/home/rebek/miniconda3/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
        raise Exception("An error was encountered while running DADA2"
    Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

    Plugin error from dada2:

      An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

    See above for debug info.
1 Like

@mikatsume

Hmm, it still looks like none of your samples are merging :thinking: What is your target amplicon region/what is its length?

Would it be possible for you to post your data (or send it to me as DM if you don't want it publicly available) so I can play around with it? We don't support uploading large files directly onto the forum, so it has to be a link to data hosted elsewhere(university server, dropbox, google drive, etc).